#!/bin/bash

set -e

#
# Skip, if we are not in "configure" state
#
if [ "$1" != "configure" ]; then
        echo "I: Skipping configuration"
        exit 0
fi

#
#  Ensure that the PHPMyAdmin configuration file is included.
#
if [ -e /etc/phpmyadmin/apache.conf ]; then
    ln -sf /etc/phpmyadmin/apache.conf /etc/apache2/conf-available/phpmyadmin.conf
fi

#
#  Append Sympl configuration file requirement
#
if [ -e /etc/phpmyadmin/config.inc.php ]; then

    if ( ! grep -q "require('/etc/phpmyadmin/config.sympl.inc.php')" /etc/phpmyadmin/config.inc.php ); then
        cat >>/etc/phpmyadmin/config.inc.php <<EOF

/**
 * Read sympl config.
 */
if (is_readable('/etc/phpmyadmin/config.sympl.inc.php')) {
    require('/etc/phpmyadmin/config.sympl.inc.php');
}
EOF
    fi
fi

# Add a blowfish secter value to the phpmyadmin config if there isn't already one set
if [ $( grep -c 'blowfish_secret' /etc/phpmyadmin/config.sympl.inc.php ) != 1 ] ; then
  echo "\$cfg['blowfish_secret'] = '` date +%s | sha256sum | base64 | head -c 64 `';" >> /etc/phpmyadmin/config.sympl.inc.php
fi


#
# Restart apache2 
#
if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
    . /usr/share/apache2/apache2-maintscript-helper
    apache2_invoke enconf phpmyadmin.conf || exit $?
fi

#DEBHELPER#
exit 0
